---
updatedAt: 2026-04-28T19:09:39.000Z
agentTools:
  projectIndex: https://docs.rainforestpay.com/llms.txt
---

# List deposits

Query a list of deposits given a primary filter of platform or merchant id, then additional optional search criteria.

# OpenAPI definition

````json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Deposits",
    "version": "1.0.0",
    "description": "This resource is used for merchant actions",
    "contact": {
      "name": "Rainforest",
      "email": "support@rainforestpay.com",
      "url": "https://rainforestpay.com"
    }
  },
  "servers": [
    {
      "url": "https://api.sandbox.rainforestpay.com",
      "description": "Sandbox server"
    },
    {
      "url": "https://api.rainforestpay.com",
      "description": "Production server"
    }
  ],
  "paths": {
    "/v1/deposits": {
      "post": {
        "operationId": "create_deposit",
        "summary": "Create deposit",
        "description": "Request an on-demand deposit for a merchant's funding deposit to process the next banking day. On-demand deposits cannot be requested between 12:00 AM and 1:00 AM ET.\n\nReturns 204 No Content. Once the deposit is scheduled, the deposit will be in the status of `SCHEDULED` and a `deposit.scheduled` webhook will trigger.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "merchant_id": {
                    "description": "The unique merchant identifier.\n\nPrefix is \"mid\" in production and \"sbx_mid\" in sandbox.",
                    "type": "string",
                    "example": "mid_2A4d6U0tMyovzTbVT1ktmRzdRaD"
                  },
                  "metadata": {
                    "description": "Valid JSON key-value object specified by the platform to store additional information. Keys are queryable in list endpoints. Do not use the metadata field to store sensitive or confidential data.\n\nMetadata must be less than 8 KB in size.\n",
                    "type": "object",
                    "example": {
                      "key1": "value1",
                      "key2": {
                        "inner_key1": "inner_value1"
                      }
                    },
                    "minLength": 0
                  },
                  "bypass_scheduled_deposit_validation": {
                    "description": "Bypasses the check that blocks an on-demand deposit when a deposit on the merchant's deposit frequency is already scheduled to process the next business day.\n\nOnly takes effect in sandbox, and has no effect for merchants on a `DAILY` deposit frequency.",
                    "type": "boolean"
                  }
                },
                "required": [
                  "merchant_id"
                ]
              },
              "examples": {
                "merchant": {
                  "value": {
                    "merchant_id": "mid_2A4d6U0tMyovzTbVT1ktmRzdRaD"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "No Content.\n\nThe on-demand deposit has been scheduled."
          },
          "400": {
            "$ref": "#/paths/~1v1~1deposits/get/responses/400"
          },
          "401": {
            "$ref": "#/paths/~1v1~1deposits/get/responses/401"
          },
          "403": {
            "$ref": "#/paths/~1v1~1deposits/get/responses/403"
          },
          "409": {
            "description": "Conflict for one of the following reasons:\n- The merchant has a deposit in the status of `SCHEDULED` or `PROCESSING`. The `data` payload returns the existing deposit.\n- When a deposit on the merchant's deposit frequency is already scheduled to process the next business day. The `data` payload is set to `null`.",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "status": {
                      "$ref": "#/paths/~1v1~1deposits/get/responses/200/content/application~1json/schema/properties/status"
                    },
                    "data": {
                      "$ref": "#/paths/~1v1~1deposits~1{deposit_id}/get/responses/200/content/application~1json/schema/properties/data",
                      "nullable": true
                    },
                    "errors": {
                      "$ref": "#/paths/~1v1~1deposits/get/responses/200/content/application~1json/schema/properties/errors"
                    }
                  }
                },
                "examples": {
                  "active_on_demand_deposit_exists": {
                    "summary": "The merchant already has a deposit in the status of SCHEDULED or PROCESSING",
                    "value": {
                      "status": "ERROR",
                      "data": {
                        "deposit_id": "dep_2A4d6U0tMyovzTbVT1ktmRzdRaD",
                        "merchant_id": "mid_2A4d6U0tMyovzTbVT1ktmRzdRaD",
                        "platform_id": null,
                        "status": "SCHEDULED",
                        "is_on_demand": true
                      },
                      "errors": [
                        {
                          "field": null,
                          "code": "Conflict",
                          "message": "Merchant has a deposit in the status of SCHEDULED."
                        }
                      ]
                    }
                  },
                  "next_scheduled_deposit_too_soon": {
                    "summary": "A deposit on the merchant's deposit frequency is already scheduled to process the next business day",
                    "value": {
                      "status": "ERROR",
                      "data": null,
                      "errors": [
                        {
                          "field": null,
                          "code": "Conflict",
                          "message": "Merchant's next weekly deposit is already scheduled for 2026-10-30."
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "5XX": {
            "$ref": "#/paths/~1v1~1deposits/get/responses/5XX"
          }
        },
        "tags": [
          "Deposits"
        ]
      },
      "get": {
        "operationId": "list_deposits",
        "summary": "List deposits",
        "description": "Query a list of deposits given a primary filter of platform or merchant id, then additional optional search criteria.",
        "parameters": [
          {
            "in": "header",
            "name": "Rainforest-Api-Version",
            "schema": {
              "type": "string",
              "default": "2024-10-16",
              "enum": [
                "2024-10-16",
                "2023-12-01"
              ]
            }
          },
          {
            "in": "query",
            "name": "deposit_id",
            "schema": {
              "type": "string"
            },
            "description": "The unique deposit identifier. \n\nPrefix is \"dep\" in production and \"sbx_dep\" in sandbox.",
            "examples": {
              "production": {
                "value": "dep_2DrDKk5NIMbpuNGqm109SkpGDHh"
              },
              "sandbox": {
                "value": "sbx_dep_2DrDKk5NIMbpuNGqm109SkpGDHh"
              }
            }
          },
          {
            "in": "query",
            "name": "platform_id",
            "schema": {
              "type": "string"
            },
            "description": "The unique platform identifier. \n\nPrefix is \"plt\" in production and \"sbx_plt\" in sandbox.",
            "examples": {
              "production": {
                "value": "plt_2DrDRpyAdp5MPUJnrJmoZcMmtfF"
              },
              "sandbox": {
                "value": "plt_2DrDRpyAdp5MPUJnrJmoZcMmtfF"
              }
            }
          },
          {
            "in": "query",
            "name": "merchant_id",
            "schema": {
              "type": "string"
            },
            "description": "The unique merchant identifier. \n\nPrefix is \"mid\" in production and \"sbx_mid\" in sandbox.",
            "examples": {
              "production": {
                "value": "mid_2DrDFJPutxE5AIbJSopAnqniEbr"
              },
              "sandbox": {
                "value": "sbx_mid_2DrDFJPutxE5AIbJSopAnqniEbr"
              }
            }
          },
          {
            "name": "status",
            "in": "query",
            "description": "One or more deposit statuses to filter by. Provide parameter multiple times to filter by multiple deposit status types. \n\n`SCHEDULED` `PROCESSING` `SUCCEEDED` `IN_REVIEW` `FAILED` `CANCELED`",
            "schema": {
              "type": "array",
              "items": {
                "description": "The status of the deposit.",
                "type": "string",
                "enum": [
                  "FAILED",
                  "IN_REVIEW",
                  "PROCESSING",
                  "SUCCEEDED",
                  "SCHEDULED",
                  "CANCELED"
                ],
                "example": "PROCESSING"
              }
            }
          },
          {
            "name": "deposit_type",
            "in": "query",
            "description": "Deposit type to filter by. Provide parameter multiple times to filter by multiple deposit types.\n\n* `BILLING`: deposit for the payment processing fees, applicable only for merchants on gross billing.\n* `FUNDING`: deposit for the payment volume, if the merchant is on net billing, then the FUNDING deposit will be net any payment processing fees.",
            "schema": {
              "type": "array",
              "items": {
                "name": "deposit_type",
                "description": "The type of deposit.\n\n* `BILLING`: deposit for the payment processing fees, applicable only for merchants on gross billing.\n* `FUNDING`: deposit for the payment volume, if the merchant is on net billing, then the `FUNDING` deposit will be net any payment processing fees.",
                "type": "string",
                "enum": [
                  "BILLING",
                  "FUNDING"
                ],
                "example": "FUNDING"
              }
            }
          },
          {
            "in": "query",
            "name": "metadata",
            "schema": {
              "type": "string"
            },
            "description": "Filter by metadata stored on the entity by passing a map of key-value pairs to filter on. The `key` should be valid JSONPath to a corresponding metadata key.\n\nFor example, an entity created with the following metadata\n```\n\"account\": {\n  \"id\": \"acct_123\"\n}\n```\ncould have the following metadata filter to find entities with the metadata account id: \n```\n?metadata[$.account.id]=acct_123\n```"
          },
          {
            "in": "query",
            "name": "created_at.start",
            "description": "Created on or after in UTC RFC 3339 format.",
            "schema": {
              "type": "string",
              "format": "date-time"
            },
            "example": "2022-01-01T12:00:00Z"
          },
          {
            "in": "query",
            "name": "created_at.end",
            "description": "Created on or before in UTC RFC 3339 format.",
            "schema": {
              "type": "string",
              "format": "date-time"
            },
            "example": "2022-01-01T12:00:00Z"
          },
          {
            "name": "sort_by",
            "in": "query",
            "description": "Optional value by which to sort the result set. Default sort by is created_at.",
            "schema": {
              "type": "string",
              "enum": [
                "amount",
                "created_at",
                "merchant_id",
                "status"
              ]
            }
          },
          {
            "in": "query",
            "name": "sort_order",
            "description": "Order in which to return the sorted results; ascending or descending. Default sort order is descending.",
            "schema": {
              "type": "string",
              "enum": [
                "asc",
                "desc"
              ]
            }
          },
          {
            "in": "query",
            "name": "limit",
            "schema": {
              "type": "number",
              "default": 1000,
              "maximum": 1000
            },
            "description": "The maximum number of results to return."
          },
          {
            "in": "query",
            "name": "offset",
            "schema": {
              "type": "number",
              "default": 0,
              "minimum": 0
            },
            "description": "The offset of the first result to return; zero-based."
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "description": "Status of the request.\n\nIf the request status code is 2XX, then the `status` will be `SUCCESS`. If the request status code is 4XX or 5XX, then the `status` will be `ERROR`.",
                      "type": "string",
                      "enum": [
                        "SUCCESS",
                        "ERROR"
                      ],
                      "example": "SUCCESS"
                    },
                    "data": {
                      "allOf": [
                        {
                          "type": "object",
                          "properties": {
                            "total_results": {
                              "type": "integer",
                              "description": "Total number of results available. This value will be -1 if the query parameter `omit_total_results` is set to true."
                            }
                          }
                        },
                        {
                          "type": "object",
                          "properties": {
                            "results": {
                              "description": "List of deposits.",
                              "type": "array",
                              "items": {
                                "$ref": "#/paths/~1v1~1deposits~1{deposit_id}/get/responses/200/content/application~1json/schema/properties/data"
                              }
                            }
                          }
                        }
                      ]
                    },
                    "errors": {
                      "description": "List of errors, if applicable.",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "description": "Details of the error.",
                        "properties": {
                          "field": {
                            "description": "The field in the request that had an error, if applicable.",
                            "type": "string"
                          },
                          "code": {
                            "description": "The code describing the error.",
                            "type": "string"
                          },
                          "message": {
                            "description": "The description of the error related to the field.",
                            "type": "string"
                          }
                        }
                      },
                      "example": null
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request, check for validation errors.",
            "content": {
              "application/json": {
                "schema": {
                  "description": "Default response object.",
                  "type": "object",
                  "properties": {
                    "status": {
                      "$ref": "#/paths/~1v1~1deposits/get/responses/200/content/application~1json/schema/properties/status"
                    },
                    "data": {
                      "description": "Generic data object specified per resource, null if there are request errors.",
                      "type": "object",
                      "example": null,
                      "nullable": true,
                      "readOnly": true
                    },
                    "errors": {
                      "$ref": "#/paths/~1v1~1deposits/get/responses/200/content/application~1json/schema/properties/errors"
                    }
                  }
                },
                "example": {
                  "status": "ERROR",
                  "data": null,
                  "errors": [
                    {
                      "field": "string",
                      "code": "RequestBody",
                      "message": "Invalid request payload"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Authorization missing or invalid.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v1~1deposits/get/responses/400/content/application~1json/schema"
                },
                "example": {
                  "status": "ERROR",
                  "data": null,
                  "errors": [
                    {
                      "field": "string",
                      "code": "AuthUnauthorized",
                      "message": "Unauthorized"
                    }
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Authorization insufficient for requested action.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v1~1deposits/get/responses/400/content/application~1json/schema"
                },
                "example": {
                  "status": "ERROR",
                  "data": null,
                  "errors": [
                    {
                      "field": "string",
                      "code": "AuthForbidden",
                      "message": "Forbidden"
                    }
                  ]
                }
              }
            }
          },
          "5XX": {
            "description": "Unexpected error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v1~1deposits/get/responses/400/content/application~1json/schema"
                },
                "example": {
                  "status": "ERROR",
                  "data": null,
                  "errors": [
                    {
                      "field": "string",
                      "code": "string",
                      "message": "Internal Server Error"
                    }
                  ]
                }
              }
            }
          }
        },
        "tags": [
          "Deposits"
        ]
      }
    },
    "/v1/deposits/{deposit_id}": {
      "get": {
        "operationId": "get_deposit",
        "summary": "Get deposit",
        "description": "Get a deposit's details by the deposit ID.",
        "parameters": [
          {
            "$ref": "#/paths/~1v1~1deposits/get/parameters/0"
          },
          {
            "in": "path",
            "required": true,
            "name": "deposit_id",
            "schema": {
              "type": "string"
            },
            "description": "The unique deposit identifier. \n\nPrefix is \"dep\" in production and \"sbx_dep\" in sandbox.",
            "examples": {
              "production": {
                "value": "dep_2DrDKk5NIMbpuNGqm109SkpGDHh"
              },
              "sandbox": {
                "value": "sbx_dep_2DrDKk5NIMbpuNGqm109SkpGDHh"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "status": {
                      "$ref": "#/paths/~1v1~1deposits/get/responses/200/content/application~1json/schema/properties/status"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "deposit_id": {
                          "description": "The unique deposit identifier. \n\nPrefix is \"dep\" in production and \"sbx_dep\" in sandbox.",
                          "type": "string",
                          "example": "dep_2DrDU206kzAhclm1WrZbuwDERRk"
                        },
                        "platform_id": {
                          "$ref": "#/paths/~1v1~1deposit_method_configs/post/responses/200/content/application~1json/schema/properties/data/properties/platform_id",
                          "nullable": true,
                          "description": "The unique platform identifier. `platform_id` will be set for a platform deposit. Only one of `platform_id` and `merchant_id` will be set.\n\nPrefix is \"plt\" in production and \"sbx_plt\" in sandbox."
                        },
                        "merchant_id": {
                          "$ref": "#/paths/~1v1~1deposit_methods~1{deposit_method_id}~1payin/post/responses/200/content/application~1json/schema/properties/data/properties/merchant_id",
                          "nullable": true,
                          "description": "The unique merchant identifier. `merchant_id` will be set for a merchant deposit. Only one of `platform_id` and `merchant_id` will be set.\n\nPrefix is \"mid\" in production and \"sbx_mid\" in sandbox."
                        },
                        "status": {
                          "$ref": "#/paths/~1v1~1deposits/get/parameters/4/schema/items"
                        },
                        "deposit_type": {
                          "$ref": "#/paths/~1v1~1deposits/get/parameters/5/schema/items"
                        },
                        "billing_type": {
                          "$ref": "#/paths/~1v1~1deposit_methods~1{deposit_method_id}~1payin/post/responses/200/content/application~1json/schema/properties/data/properties/billing_type"
                        },
                        "amount": {
                          "description": "The amount deposited, in minor units.\n\nFor example, 1000 is 10.00 USD.",
                          "type": "integer",
                          "minimum": 0
                        },
                        "currency_code": {
                          "$ref": "#/paths/~1v1~1merchants~1{merchant_id}~1simulate_complete_payments/post/responses/200/content/application~1json/schema/properties/data/properties/pending_balance/properties/currency_code"
                        },
                        "deposit_fee_amount": {
                          "type": "object",
                          "properties": {
                            "amount": {
                              "description": "The amount of the deposit fee, in minor units.\n\nFor example, 20 is 0.20 USD.",
                              "type": "integer"
                            },
                            "currency_code": {
                              "$ref": "#/paths/~1v1~1merchants~1{merchant_id}~1simulate_complete_payments/post/responses/200/content/application~1json/schema/properties/data/properties/pending_balance/properties/currency_code"
                            }
                          }
                        },
                        "total_payment_billing_fees_amount": {
                          "type": "object",
                          "properties": {
                            "amount": {
                              "description": "The total amount of the billing fees for all the deposit activity, in minor units.\n\nFor example, -100 is -1.00 USD.",
                              "type": "integer"
                            },
                            "currency_code": {
                              "$ref": "#/paths/~1v1~1merchants~1{merchant_id}~1simulate_complete_payments/post/responses/200/content/application~1json/schema/properties/data/properties/pending_balance/properties/currency_code"
                            }
                          }
                        },
                        "total_split_remainder_amount": {
                          "type": "object",
                          "properties": {
                            "amount": {
                              "description": "The total amount of the amount splits for all the deposit activity, in minor units.\n\nFor example, -100 is -1.00 USD.",
                              "type": "integer"
                            },
                            "currency_code": {
                              "$ref": "#/paths/~1v1~1merchants~1{merchant_id}~1simulate_complete_payments/post/responses/200/content/application~1json/schema/properties/data/properties/pending_balance/properties/currency_code"
                            }
                          }
                        },
                        "total_fees_amount": {
                          "type": "object",
                          "properties": {
                            "amount": {
                              "description": "The total amount of the billing fees and the amount splits for all the deposit activity, in minor units.\n\nEqual to total_payment_billing_fees_amount + total_split_remainder_amount",
                              "type": "integer"
                            },
                            "currency_code": {
                              "$ref": "#/paths/~1v1~1merchants~1{merchant_id}~1simulate_complete_payments/post/responses/200/content/application~1json/schema/properties/data/properties/pending_balance/properties/currency_code"
                            }
                          }
                        },
                        "gross_amount": {
                          "type": "object",
                          "properties": {
                            "amount": {
                              "description": "The gross amount of all the deposit activity, in minor units.\n\nFor example, 1000 is 10.00 USD.",
                              "type": "integer"
                            },
                            "currency_code": {
                              "$ref": "#/paths/~1v1~1merchants~1{merchant_id}~1simulate_complete_payments/post/responses/200/content/application~1json/schema/properties/data/properties/pending_balance/properties/currency_code"
                            }
                          }
                        },
                        "payment_totals": {
                          "description": "The total count and amount summaries for each payment type in the deposit. Payment types include `payins`, `refunds`, `chargebacks`, `ach_returns`, `adjustments`, and `deposits`.\n\nFor a merchant on interchange plus (IC+) billing, also includes `interchange` and `dfa`.",
                          "type": "object",
                          "properties": {
                            "payins": {
                              "type": "object",
                              "properties": {
                                "count": {
                                  "description": "The total count of the activity type deposited.",
                                  "type": "integer"
                                },
                                "gross_amount": {
                                  "type": "object",
                                  "properties": {
                                    "amount": {
                                      "description": "The gross amount for the activity type deposited, in minor units.\n\nFor example, 1000 is 10.00 USD.",
                                      "type": "integer"
                                    },
                                    "currency_code": {
                                      "$ref": "#/paths/~1v1~1merchants~1{merchant_id}~1simulate_complete_payments/post/responses/200/content/application~1json/schema/properties/data/properties/pending_balance/properties/currency_code"
                                    }
                                  }
                                },
                                "billing_fees_amount": {
                                  "type": "object",
                                  "properties": {
                                    "amount": {
                                      "description": "The total amount of the billing fees for the activity type deposited, in minor units.\n\nFor example, -20 is -0.20 USD.",
                                      "type": "integer"
                                    },
                                    "currency_code": {
                                      "$ref": "#/paths/~1v1~1merchants~1{merchant_id}~1simulate_complete_payments/post/responses/200/content/application~1json/schema/properties/data/properties/pending_balance/properties/currency_code"
                                    }
                                  }
                                },
                                "split_remainder_amount": {
                                  "type": "object",
                                  "properties": {
                                    "amount": {
                                      "description": "The total amount of the amount splits for the activity type deposited, in minor units.\n\nFor example, -20 is -0.20 USD.",
                                      "type": "integer"
                                    },
                                    "currency_code": {
                                      "$ref": "#/paths/~1v1~1merchants~1{merchant_id}~1simulate_complete_payments/post/responses/200/content/application~1json/schema/properties/data/properties/pending_balance/properties/currency_code"
                                    }
                                  }
                                },
                                "net_amount": {
                                  "type": "object",
                                  "properties": {
                                    "amount": {
                                      "description": "The total amount for the activity type deposited, in minor units.\n\nEqual to gross_amount - billing_fees_amount - split_remainder_amount",
                                      "type": "integer"
                                    },
                                    "currency_code": {
                                      "$ref": "#/paths/~1v1~1merchants~1{merchant_id}~1simulate_complete_payments/post/responses/200/content/application~1json/schema/properties/data/properties/pending_balance/properties/currency_code"
                                    }
                                  }
                                }
                              }
                            },
                            "refunds": {
                              "$ref": "#/paths/~1v1~1deposits~1{deposit_id}/get/responses/200/content/application~1json/schema/properties/data/properties/payment_totals/properties/payins"
                            },
                            "chargebacks": {
                              "$ref": "#/paths/~1v1~1deposits~1{deposit_id}/get/responses/200/content/application~1json/schema/properties/data/properties/payment_totals/properties/payins"
                            },
                            "ach_returns": {
                              "$ref": "#/paths/~1v1~1deposits~1{deposit_id}/get/responses/200/content/application~1json/schema/properties/data/properties/payment_totals/properties/payins"
                            },
                            "adjustments": {
                              "$ref": "#/paths/~1v1~1deposits~1{deposit_id}/get/responses/200/content/application~1json/schema/properties/data/properties/payment_totals/properties/payins"
                            },
                            "deposits": {
                              "$ref": "#/paths/~1v1~1deposits~1{deposit_id}/get/responses/200/content/application~1json/schema/properties/data/properties/payment_totals/properties/payins"
                            },
                            "interchange": {
                              "description": "The total count and amount summary of interchange activity in the deposit. Only applicable for a merchant on interchange plus (IC+) billing.",
                              "allOf": [
                                {
                                  "$ref": "#/paths/~1v1~1deposits~1{deposit_id}/get/responses/200/content/application~1json/schema/properties/data/properties/payment_totals/properties/payins"
                                }
                              ]
                            },
                            "dfa": {
                              "description": "The total count and amount summary of DFA activity in the deposit. Only applicable for a merchant on interchange plus (IC+) billing.",
                              "allOf": [
                                {
                                  "$ref": "#/paths/~1v1~1deposits~1{deposit_id}/get/responses/200/content/application~1json/schema/properties/data/properties/payment_totals/properties/payins"
                                }
                              ]
                            }
                          }
                        },
                        "method_type": {
                          "$ref": "#/paths/~1v1~1deposit_methods/post/requestBody/content/application~1json/schema/properties/method_type"
                        },
                        "ach": {
                          "description": "ACH deposit method details.",
                          "$ref": "#/paths/~1v1~1deposit_methods~1{deposit_method_id}~1payin/post/responses/200/content/application~1json/schema/properties/data/properties/ach"
                        },
                        "plaid_ach": {
                          "description": "ACH deposit method details from Plaid.",
                          "$ref": "#/paths/~1v1~1deposit_methods/post/responses/200/content/application~1json/schema/properties/data/properties/plaid_ach"
                        },
                        "is_on_demand": {
                          "description": "Boolean indicating that the platform requested the deposit through the create on-demand deposit endpoint. Set to false for deposits created on the merchant's deposit schedule.",
                          "type": "boolean"
                        },
                        "scheduled_deposit_date": {
                          "description": "The date the deposit is scheduled to process on, in ISO 8601 format (YYYY-MM-DD).\n\nThis value will be set if `is_on_demand` is `true`.",
                          "type": "string",
                          "format": "date",
                          "nullable": true,
                          "example": "2022-01-01"
                        },
                        "failure_code": {
                          "description": "The ACH return code explaining the reason the deposit failed.\n\nThis value will be set if the deposit status is `FAILED`.",
                          "type": "string",
                          "nullable": false,
                          "enum": [
                            "R01",
                            "R02",
                            "R03",
                            "R05",
                            "R06",
                            "R07",
                            "R08",
                            "R09",
                            "R10",
                            "R11",
                            "R12",
                            "R13",
                            "R14",
                            "R15",
                            "R16",
                            "R17",
                            "R18",
                            "R19",
                            "R20",
                            "R21",
                            "R22",
                            "R23",
                            "R24",
                            "R25",
                            "R26",
                            "R27",
                            "R28",
                            "R29",
                            "R30",
                            "R31",
                            "R32",
                            "R33",
                            "R34",
                            "R35",
                            "R36",
                            "R37",
                            "R38",
                            "R39",
                            "R40",
                            "R41",
                            "R42",
                            "R43",
                            "R44",
                            "R45",
                            "R46",
                            "R47",
                            "R50",
                            "R51",
                            "R52",
                            "R53",
                            "R61",
                            "R62",
                            "R67",
                            "R68",
                            "R69",
                            "R70",
                            "R71",
                            "R72",
                            "R73",
                            "R74",
                            "R75",
                            "R76",
                            "R77",
                            "R80",
                            "R81",
                            "R82",
                            "R83",
                            "R84",
                            "R85"
                          ]
                        },
                        "failure_desc": {
                          "description": "The description explaining the reason the deposit failed. This will be a human-readable value that may be presented to the end user.",
                          "type": "string",
                          "nullable": false,
                          "examples": [
                            "Insufficient Funds",
                            "Account Closed",
                            "Corporate Customer Advises Not Authorized"
                          ]
                        },
                        "canceled_by": {
                          "nullable": true,
                          "name": "canceled_by",
                          "description": "Who canceled the deposit.\n\n* `MERCHANT`: canceled by the merchant.\n* `PLATFORM`: canceled by the platform's own integration.\n* `RAINFOREST`: canceled by Rainforest.",
                          "type": "string",
                          "enum": [
                            "MERCHANT",
                            "PLATFORM",
                            "RAINFOREST"
                          ],
                          "example": "MERCHANT"
                        },
                        "cancel_reason": {
                          "description": "The reason the deposit was canceled.\n\nThis value will only be set if the deposit status is `CANCELED` and a reason was given.",
                          "type": "string",
                          "nullable": true,
                          "example": "No longer needed"
                        },
                        "metadata": {
                          "$ref": "#/paths/~1v1~1deposits/post/requestBody/content/application~1json/schema/properties/metadata"
                        },
                        "created_at": {
                          "description": "Date and time deposit was created at in UTC RFC 3339 format.",
                          "type": "string",
                          "format": "date-time",
                          "example": "2022-01-01T12:00:00Z"
                        },
                        "scheduled_at": {
                          "description": "Date and time the deposit was scheduled at in UTC RFC 3339 format. The deposit includes the merchant's available balance as of this time.\n\nThis value will be set if `is_on_demand` is `true`.",
                          "type": "string",
                          "format": "date-time",
                          "nullable": true,
                          "example": "2022-01-01T12:00:00Z"
                        },
                        "processed_at": {
                          "description": "Date and time the deposit was processed at in UTC RFC 3339 format.\n\nThis value will be set once the deposit status is `PROCESSING`.",
                          "type": "string",
                          "format": "date-time",
                          "nullable": true,
                          "example": "2022-01-01T12:00:00Z"
                        },
                        "canceled_at": {
                          "description": "Date and time the deposit was canceled at in UTC RFC 3339 format.\n\nThis value will only be set if the deposit status is `CANCELED`.",
                          "type": "string",
                          "format": "date-time",
                          "nullable": true,
                          "example": "2022-01-01T12:00:00Z"
                        }
                      }
                    },
                    "errors": {
                      "$ref": "#/paths/~1v1~1deposits/get/responses/200/content/application~1json/schema/properties/errors"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/paths/~1v1~1deposits/get/responses/400"
          },
          "401": {
            "$ref": "#/paths/~1v1~1deposits/get/responses/401"
          },
          "403": {
            "$ref": "#/paths/~1v1~1deposits/get/responses/403"
          },
          "404": {
            "description": "Resource not found.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v1~1deposits/get/responses/400/content/application~1json/schema"
                },
                "example": {
                  "status": "ERROR",
                  "data": null,
                  "errors": [
                    {
                      "field": "string",
                      "code": "EntityNotFound",
                      "message": "Resource not found"
                    }
                  ]
                }
              }
            }
          },
          "5XX": {
            "$ref": "#/paths/~1v1~1deposits/get/responses/5XX"
          }
        },
        "tags": [
          "Deposits"
        ]
      }
    },
    "/v1/merchants/{merchant_id}/simulate_complete_payments": {
      "post": {
        "operationId": "simulate_merchant_complete_payins",
        "summary": "Simulate merchant payins complete",
        "description": "Only available in the Rainforest sandbox environment.\n\nSimulates completing all pending payment activity on a merchant. Any payins or refunds with the status of `PROCESSING` will be transitioned to the status of `SUCCEEDED`. The funds will then be included in the merchant's available balance.",
        "parameters": [
          {
            "$ref": "#/paths/~1v1~1deposits/get/parameters/0"
          },
          {
            "$ref": "#/paths/~1v1~1merchants~1{merchant_id}~1simulate_deposit/post/parameters/1",
            "in": "path"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "status": {
                      "$ref": "#/paths/~1v1~1deposits/get/responses/200/content/application~1json/schema/properties/status"
                    },
                    "data": {
                      "type": "object",
                      "description": "The merchant's balance after the payment activity is completed.",
                      "properties": {
                        "available_balance": {
                          "type": "object",
                          "description": "Funds available to be paid out in the next deposit.",
                          "properties": {
                            "amount": {
                              "type": "integer",
                              "description": "The amount, in minor units. May be negative when refunds or fees exceed payins."
                            },
                            "currency_code": {
                              "$ref": "#/paths/~1v1~1merchants~1{merchant_id}~1simulate_complete_payments/post/responses/200/content/application~1json/schema/properties/data/properties/pending_balance/properties/currency_code"
                            }
                          }
                        },
                        "pending_balance": {
                          "type": "object",
                          "description": "Funds not yet available to be paid out.",
                          "properties": {
                            "amount": {
                              "type": "integer",
                              "description": "The amount, in minor units."
                            },
                            "currency_code": {
                              "description": "Three-letter ISO currency code, in uppercase. Currently, only USD is supported.",
                              "type": "string",
                              "example": "USD",
                              "enum": [
                                "USD"
                              ],
                              "maxLength": 3,
                              "minLength": 3
                            }
                          }
                        }
                      }
                    },
                    "errors": {
                      "$ref": "#/paths/~1v1~1deposits/get/responses/200/content/application~1json/schema/properties/errors"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/paths/~1v1~1deposits/get/responses/400"
          },
          "401": {
            "$ref": "#/paths/~1v1~1deposits/get/responses/401"
          },
          "403": {
            "$ref": "#/paths/~1v1~1deposits/get/responses/403"
          },
          "404": {
            "$ref": "#/paths/~1v1~1deposits~1{deposit_id}/get/responses/404"
          },
          "409": {
            "$ref": "#/paths/~1v1~1deposit_methods~1{deposit_method_id}~1payin/post/responses/409"
          },
          "5XX": {
            "$ref": "#/paths/~1v1~1deposits/get/responses/5XX"
          }
        },
        "tags": [
          "Deposits"
        ]
      }
    },
    "/v1/deposit_method_configs": {
      "post": {
        "operationId": "create_deposit_method_config",
        "summary": "Create deposit method config",
        "description": "Create the configuration to store a deposit method. The configuration contains basic information about the deposit method such as an idempotency key and optional information such as billing contact and metadata. If the billing contact is provided in the deposit method config, then the web component will not prompt for this data. These fields include name for an ACH deposit method. This allows a deposit method to be set up before collecting the sensitive deposit method details (i.e the account number) via the web component.",
        "parameters": [
          {
            "$ref": "#/paths/~1v1~1deposits/get/parameters/0"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/paths/~1v1~1deposit_method_configs/post/responses/200/content/application~1json/schema/properties/data",
                "required": [
                  "platform_id",
                  "idempotency_key"
                ]
              },
              "examples": {
                "required_fields": {
                  "value": {
                    "idempotency_key": "e7d57c41-7626-4644-b777-9451ab3ddea9",
                    "platform_id": "plt_2WaOekua4ZUEgUFCxNBsASulZMa"
                  }
                },
                "billing_contact": {
                  "value": {
                    "idempotency_key": "e7d57c41-7626-4644-b777-9451ab3ddea9",
                    "billing_contact": {
                      "name": "Jane Smith",
                      "address_line_1": "3423 Piedmont Rd",
                      "address_line_2": "Suite 123",
                      "city": "Atlanta",
                      "state": "GA",
                      "postal_code": "30305",
                      "country": "US",
                      "email": "janesmith@example.com",
                      "phone": "4041234567"
                    }
                  }
                },
                "metadata": {
                  "value": {
                    "idempotency_key": "e7d57c41-7626-4644-b777-9451ab3ddea9",
                    "metadata": {
                      "key1": "value1",
                      "key2": {
                        "inner_key1": "inner_value1"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "status": {
                      "$ref": "#/paths/~1v1~1deposits/get/responses/200/content/application~1json/schema/properties/status"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "deposit_method_config_id": {
                          "$ref": "#/paths/~1v1~1deposit_methods/post/responses/200/content/application~1json/schema/properties/data/properties/deposit_method_config_id",
                          "readOnly": true
                        },
                        "platform_id": {
                          "description": "The unique platform identifier. \n\nPrefix is \"plt\" in production and \"sbx_plt\" in sandbox.",
                          "type": "string",
                          "example": "plt_2DrDypu8n6IX7EVTjAnEd1dkTBa"
                        },
                        "idempotency_key": {
                          "description": "A unique identifier provided by the platform. This key will be used to detect subsequent retries of the same request. Subsequent requests with the same key will return the result of the first request, regardless if the first request succeeded or failed. This identifier should be generated by the platform and can be max 255 characters.",
                          "type": "string",
                          "example": "e7d57c41-7626-4644-b777-9451ab3ddea9",
                          "maxLength": 255,
                          "minLength": 1
                        },
                        "billing_contact": {
                          "$ref": "#/paths/~1v1~1deposit_methods/post/requestBody/content/application~1json/schema/properties/billing_contact"
                        },
                        "allowed_sources": {
                          "description": "The allowed deposit method sources for deposit method creation. If omitted, the allowed sources will default to all the allowed sources set on the platform configuration.",
                          "type": "array",
                          "items": {
                            "type": "string",
                            "enum": [
                              "ENCRYPTED_ACH",
                              "PARTNER_PLAID"
                            ]
                          }
                        },
                        "metadata": {
                          "description": "Valid JSON key-value object specified by the platform to store additional information on the payment method. Keys are queryable in list endpoints. Do not use the metadata field to store sensitive or confidential data.\n\nMetadata must be less than 8 KB in size.\n",
                          "type": "object",
                          "example": {
                            "key1": "value1",
                            "key2": {
                              "inner_key1": "inner_value1"
                            }
                          },
                          "minLength": 0
                        },
                        "created_at": {
                          "description": "Date and time deposit method config was created at in UTC RFC 3339 format.",
                          "type": "string",
                          "format": "date-time",
                          "example": "2022-01-01T12:00:00Z",
                          "readOnly": true
                        }
                      }
                    },
                    "errors": {
                      "$ref": "#/paths/~1v1~1deposits/get/responses/200/content/application~1json/schema/properties/errors"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/paths/~1v1~1deposits/get/responses/400"
          },
          "401": {
            "$ref": "#/paths/~1v1~1deposits/get/responses/401"
          },
          "403": {
            "$ref": "#/paths/~1v1~1deposits/get/responses/403"
          },
          "5XX": {
            "$ref": "#/paths/~1v1~1deposits/get/responses/5XX"
          }
        },
        "tags": [
          "Deposit Method Configs"
        ]
      }
    },
    "/v1/deposit_methods/{deposit_method_id}/payin": {
      "post": {
        "operationId": "create_deposit_method_payin",
        "summary": "Create payin from deposit method",
        "description": "Create and process a payin using a payin configuration and a deposit method. The merchant status must be ACTIVE to create a payin.\n\nThe deposit method details (i.e bank account number and billing contact) will be duplicated to a payment method and a payin will process against the newly created payment method. Metadata, method metadata, and new billing contact details can be defined on the [Payin Config](ref:create_payin_config).\n\nThis endpoint requires Rainforest approval.",
        "parameters": [
          {
            "in": "header",
            "name": "Rainforest-Api-Version",
            "schema": {
              "type": "string",
              "default": "2024-10-16",
              "enum": [
                "2024-10-16"
              ]
            }
          },
          {
            "$ref": "#/paths/~1v1~1deposit_methods~1{deposit_method_id}/get/parameters/1",
            "in": "path"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "payin_config_id": {
                    "description": "The unique payin config identifier. A payin must be configured prior to this request. See \"Create a Payin Config\" if a payin configuration has not been created yet.\n\nPrefix is \"cfg\" in production and \"sbx_cfg\" in sandbox.",
                    "type": "string",
                    "example": "cfg_2A4d6U0tMyovzTbVT1ktmRzdRaD"
                  }
                },
                "required": [
                  "payin_config_id"
                ]
              },
              "example": {
                "payin_config_id": "cfg_2A4d6U0tMyovzTbVT1ktmRzdRaD"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "status": {
                      "$ref": "#/paths/~1v1~1deposits/get/responses/200/content/application~1json/schema/properties/status"
                    },
                    "data": {
                      "description": "The payin details.",
                      "type": "object",
                      "properties": {
                        "payin_id": {
                          "description": "The unique payin identifier. \n\nPrefix is \"pyi\" in production and \"sbx_pyi\" in sandbox.",
                          "type": "string",
                          "example": "pyi_2DrDKk5NIMbpuNGqm109SkpGDHh"
                        },
                        "payin_config_id": {
                          "$ref": "#/paths/~1v1~1deposit_methods~1{deposit_method_id}~1payin/post/responses/200/content/application~1json/schema/properties/data/properties/threeds_attempt/properties/payin_config_id",
                          "readOnly": true
                        },
                        "merchant_id": {
                          "description": "The unique merchant identifier. \n\nPrefix is \"mid\" in production and \"sbx_mid\" in sandbox.",
                          "type": "string",
                          "example": "mid_2DrDFJPutxE5AIbJSopAnqniEbr"
                        },
                        "payment_method_id": {
                          "description": "The unique payment method identifier. \n\nPrefix is \"mtd\" in production and \"sbx_mtd\" in sandbox.",
                          "type": "string",
                          "example": "mtd_2DrDRpyAdp5MPUJnrJmoZcMmtfF"
                        },
                        "payment_method_config_id": {
                          "readOnly": true,
                          "description": "The unique payment method config identifier. \n\nPrefix is \"pmc\" in production and \"sbx_pmc\" in sandbox.",
                          "type": "string",
                          "example": "pmc_2DrDPKzdQypRudLd8DhQKZX27dA"
                        },
                        "device_registration_id": {
                          "description": "The unique device registration identifier.\n\nPrefix is \"dvc\" in production and \"sbx_dvc\" in sandbox.",
                          "type": "string",
                          "example": "dvc_2DrDKk5NIMbpuNGqm109SkpGDHh"
                        },
                        "threeds_attempt_id": {
                          "nullable": true,
                          "description": "The unique threeds attempt identifier. \n\nPrefix is \"tds\" in production and \"sbx_tds\" in sandbox.",
                          "type": "string",
                          "example": "tds_2DrDFJPutxE5AIbJSopAnqniEbr"
                        },
                        "idempotency_key": {
                          "$ref": "#/paths/~1v1~1deposit_method_configs/post/responses/200/content/application~1json/schema/properties/data/properties/idempotency_key"
                        },
                        "billing_type": {
                          "description": "The merchant billing type.",
                          "type": "string",
                          "enum": [
                            "NET",
                            "GROSS"
                          ]
                        },
                        "amount": {
                          "description": "The amount of the payin, in minor units.\n\nFor example, 1000 is 10.00 USD.",
                          "type": "integer",
                          "example": 100
                        },
                        "currency_code": {
                          "$ref": "#/paths/~1v1~1merchants~1{merchant_id}~1simulate_complete_payments/post/responses/200/content/application~1json/schema/properties/data/properties/pending_balance/properties/currency_code"
                        },
                        "is_partially_authorized": {
                          "description": "Boolean indicating if payin was authorized for a partial amount.",
                          "type": "boolean"
                        },
                        "authorized_amount": {
                          "description": "The amount of the payin that was authorized, in minor units.\n\nFor example, 1000 is 10.00 USD.",
                          "type": "integer",
                          "example": 100,
                          "readOnly": true
                        },
                        "captured_amount": {
                          "description": "The amount of the payin that was captured, in minor units.\n\nFor example, 1000 is 10.00 USD.",
                          "type": "integer",
                          "example": 100,
                          "readOnly": true
                        },
                        "tip_amount": {
                          "description": "The amount of the payin that was collected as a tip from processing on a device, in minor units.\n\nFor example, 1000 is 10.00 USD.",
                          "type": "integer",
                          "example": 0,
                          "readOnly": true
                        },
                        "refundable_amount": {
                          "description": "The amount of the payin that can still be refunded, in minor units.\n\nFor example, 1000 is 10.00 USD.",
                          "type": "integer",
                          "example": 100,
                          "readOnly": true
                        },
                        "non_refundable_reason_code": {
                          "description": "Why the payin is nonrefundable. Provided when refundable_amount is 0.",
                          "type": "string",
                          "nullable": true,
                          "readOnly": true,
                          "enum": [
                            "VOIDED",
                            "FAILED",
                            "FULLY_REFUNDED",
                            "HAS_CHARGEBACKS",
                            "HAS_ACH_RETURN",
                            "IN_ACH_RETURN_WINDOW",
                            "IN_SETTLEMENT_WINDOW"
                          ]
                        },
                        "status": {
                          "description": "The status of the payin.",
                          "type": "string",
                          "enum": [
                            "AUTHORIZED",
                            "CANCELED",
                            "CREATED",
                            "FAILED",
                            "IN_REVIEW",
                            "PRESENTING",
                            "PROCESSING",
                            "RETURNED",
                            "SUCCEEDED"
                          ],
                          "example": "PROCESSING"
                        },
                        "refusal_code": {
                          "description": "The code explaining the reason for the refusal if the payin or refund failed to process.\n\nThis value will be `null` if the payin or refund succeeded.",
                          "type": "string",
                          "enum": [
                            null,
                            "ACCOUNT_CLOSED",
                            "AUTHORIZATION_EXPIRED",
                            "DECLINED",
                            "DO_NOT_HONOR",
                            "EXPIRED_CARD",
                            "FRAUDULENT_CARD",
                            "INCORRECT_PAYMENT_INFORMATION",
                            "INSUFFICIENT_FUNDS",
                            "INVALID_CARD_SECURITY_CODE",
                            "INVALID_EXPIRATION_DATE",
                            "INVALID_PIN",
                            "LOST_CARD",
                            "NO_CARD_NUMBER_ON_FILE_WITH_ISSUER",
                            "NO_SUCH_CARD_ISSUER",
                            "OVER_LIMIT",
                            "PROCESSING_ERROR",
                            "RESTRICTED_CARD_TYPE",
                            "RETRY",
                            "RETRY_WITH_THREEDS",
                            "RISK_DECLINE",
                            "STOLEN_CARD",
                            "THREEDS_CHALLENGE_FAILED",
                            "UNEXPECTED_PAYIN_TOKEN",
                            "UNSUPPORTED_ACCOUNT_TYPE",
                            "UNSUPPORTED_BY_PROCESSOR",
                            "UNSUPPORTED_CARD_TYPE"
                          ],
                          "readOnly": true
                        },
                        "refusal_desc": {
                          "description": "The description explaining the reason for the refusal if the payin or refund failed to process. This will be a human-readable value that may be presented to the end user.\n\nThis value will be `null` if the payin or refund succeeded.",
                          "type": "string",
                          "enum": [
                            null,
                            "Account closed",
                            "Authorization expired",
                            "Declined",
                            "Do not honor",
                            "Expired card",
                            "Fraudulent card",
                            "Incorrect payment information",
                            "Insufficient funds",
                            "Invalid card security code",
                            "Invalid expiration date",
                            "Invalid PIN",
                            "Lost card",
                            "No card number on file with issuer",
                            "No such card issuer",
                            "Over limit",
                            "Processing error",
                            "Restricted card type",
                            "Retry",
                            "Retry with 3DS",
                            "Risk decline",
                            "Stolen card",
                            "3DS challenge failed",
                            "Unexpected payin token",
                            "Unsupported account type",
                            "Unsupported by processor",
                            "Unsupported card type"
                          ],
                          "readOnly": true
                        },
                        "detailed_refusal_code": {
                          "description": "The detailed refusal code that could be more descriptive than the refusal code. It may take up to 5 minutes for the detailed refusal code to populate after the payment fails.\n\nThis value will be `null` if the payment succeeded.",
                          "type": "string",
                          "enum": [
                            null,
                            "ACCOUNT_CLOSED",
                            "AUTHORIZATION_EXPIRED",
                            "DECLINED",
                            "DO_NOT_HONOR",
                            "EXPIRED_CARD",
                            "FRAUDULENT_CARD",
                            "INCORRECT_PAYMENT_INFORMATION",
                            "INSUFFICIENT_FUNDS",
                            "INVALID_CARD_SECURITY_CODE",
                            "INVALID_EXPIRATION_DATE",
                            "INVALID_PIN",
                            "LOST_CARD",
                            "NO_CARD_NUMBER_ON_FILE_WITH_ISSUER",
                            "NO_SUCH_CARD_ISSUER",
                            "OVER_LIMIT",
                            "PROCESSING_ERROR",
                            "RESTRICTED_CARD_TYPE",
                            "RETRY",
                            "RETRY_WITH_THREEDS",
                            "RISK_DECLINE",
                            "STOLEN_CARD",
                            "THREEDS_CHALLENGE_FAILED",
                            "UNEXPECTED_PAYIN_TOKEN",
                            "UNSUPPORTED_ACCOUNT_TYPE",
                            "UNSUPPORTED_BY_PROCESSOR",
                            "UNSUPPORTED_CARD_TYPE"
                          ],
                          "readOnly": true
                        },
                        "detailed_refusal_desc": {
                          "description": "The description explaining the detailed refusal reason if the payin or refund failed to process. This will be a human-readable value that may be presented to the end user.\n\nThis value will be `null` if the payment succeeded.",
                          "type": "string",
                          "enum": [
                            null,
                            "Account closed",
                            "Authorization expired",
                            "Declined",
                            "Do not honor",
                            "Expired card",
                            "Fraudulent card",
                            "Incorrect payment information",
                            "Insufficient funds",
                            "Invalid card security code",
                            "Invalid expiration date",
                            "Invalid PIN",
                            "Lost card",
                            "No card number on file with issuer",
                            "No such card issuer",
                            "Over limit",
                            "Processing error",
                            "Restricted card type",
                            "Retry",
                            "Retry with 3DS",
                            "Risk decline",
                            "Stolen card",
                            "3DS challenge failed",
                            "Unexpected payin token",
                            "Unsupported account type",
                            "Unsupported by processor",
                            "Unsupported card type"
                          ],
                          "readOnly": true
                        },
                        "auth_code": {
                          "description": "The authorization code if the payin was approved.",
                          "type": "string",
                          "example": "12345"
                        },
                        "avs_result_code": {
                          "description": "The address verification service result code.",
                          "type": "string",
                          "example": "Y"
                        },
                        "cvc_result_code": {
                          "description": "The card verification code result code.",
                          "type": "string",
                          "example": "M"
                        },
                        "amount_splits": {
                          "description": "Represents how the payin amount was allocated to the originating merchant, the platform and one or more other merchants.\n\nA `PLATFORM` split defines a platform fee on the payin.\n\nA `MERCHANT` split allocates a portion of the payin to the specified merchant.\n\nAny remaining amount not specified by the amount splits was allocated to the originating merchant associated with the payin.",
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "amount": {
                                "description": "The amount allocated, in minor units.\n\nFor example, 1000 is 10.00 USD.",
                                "type": "integer",
                                "example": 3
                              },
                              "currency_code": {
                                "$ref": "#/paths/~1v1~1merchants~1{merchant_id}~1simulate_complete_payments/post/responses/200/content/application~1json/schema/properties/data/properties/pending_balance/properties/currency_code"
                              },
                              "type": {
                                "description": "The type of receiver for this split.\n\n`PLATFORM` allocates the split amount to the platform. `MERCHANT` allocates the split amount to the merchant specified by merchant_id.",
                                "type": "string",
                                "enum": [
                                  "PLATFORM",
                                  "MERCHANT"
                                ]
                              },
                              "merchant_id": {
                                "description": "Required when type is `MERCHANT`.\n\nThe unique identifier of the merchant receiving this split. The merchant must be fully onboarded and in an ACTIVE status.\n\nMust not match the merchant_id of the originating merchant on the payin. Must not be duplicated within the same amount_splits array. Not valid when object type is `PLATFORM`.\n\nPrefix: mid in production, sbx_mid in sandbox.",
                                "type": "string",
                                "example": "mid_abc123"
                              },
                              "platform": {
                                "description": "The minimal representation of the platform receiving this split. Present when type is `PLATFORM`.",
                                "type": "object",
                                "properties": {
                                  "platform_id": {
                                    "$ref": "#/paths/~1v1~1deposit_method_configs/post/responses/200/content/application~1json/schema/properties/data/properties/platform_id",
                                    "readOnly": true
                                  },
                                  "name": {
                                    "readOnly": true,
                                    "description": "The platform name.",
                                    "type": "string",
                                    "example": "Platform Name"
                                  }
                                }
                              },
                              "merchant": {
                                "description": "The minimal representation of the merchant receiving this split. Present when type is `MERCHANT`.",
                                "$ref": "#/paths/~1v1~1deposits~1{deposit_id}~1activity/get/responses/200/content/application~1json/schema/properties/data/properties/activities/items/properties/merchant"
                              }
                            },
                            "required": [
                              "amount",
                              "currency_code",
                              "type"
                            ]
                          },
                          "example": [
                            {
                              "amount": 3,
                              "currency_code": "USD",
                              "type": "PLATFORM"
                            }
                          ]
                        },
                        "merchant_fees": {
                          "description": "The amount of the payin billed to the merchant.",
                          "type": "object",
                          "properties": {
                            "total_amount": {
                              "description": "The total amount of fees billed to the merchant.",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "description": "The amount, in minor units.\n\nFor example, 1000 is 10.00 USD.",
                                  "type": "integer",
                                  "minimum": 0
                                },
                                "currency_code": {
                                  "$ref": "#/paths/~1v1~1merchants~1{merchant_id}~1simulate_complete_payments/post/responses/200/content/application~1json/schema/properties/data/properties/pending_balance/properties/currency_code"
                                }
                              }
                            }
                          },
                          "example": {
                            "total_amount": {
                              "amount": 2,
                              "currency_code": "USD"
                            }
                          }
                        },
                        "applied_billing": {
                          "description": "The rate, rate cap, and fee applied to calculate the billing fee, along with the source that determined the billing fee.",
                          "type": "object",
                          "properties": {
                            "rate": {
                              "description": "Rate, in percent mille (1 PCM = 0.001%).\n\nFor example, 3000 is 3%.",
                              "type": "integer",
                              "example": 3000
                            },
                            "rate_cap": {
                              "description": "Rate cap, in minor units. Used to cap the rate to a specified amount.\n\nFor example, 1000 is 10.00 USD.",
                              "type": "integer",
                              "example": 1000
                            },
                            "fee": {
                              "description": "Fee, in minor units.\n\nFor example, 1000 is 10.00 USD.",
                              "type": "integer",
                              "example": 100
                            },
                            "currency_code": {
                              "$ref": "#/paths/~1v1~1merchants~1{merchant_id}~1simulate_complete_payments/post/responses/200/content/application~1json/schema/properties/data/properties/pending_balance/properties/currency_code"
                            },
                            "source": {
                              "description": "The source that determined the billing fee.\n\n`BILLING_PROFILE` - the merchant's billing profile\n`MERCHANT_BILLING` - the top-level rate, rate cap, and fee in the payin config's merchant billing object\n`MERCHANT_BILLING_METHOD` - the payment method object in the payin config's merchant billing object",
                              "type": "string",
                              "nullable": false,
                              "enum": [
                                "BILLING_PROFILE",
                                "MERCHANT_BILLING",
                                "MERCHANT_BILLING_METHOD"
                              ]
                            },
                            "merchant_billing_method_type": {
                              "description": "The payment method object in the payin config's merchant billing object utilized to calculate the billing fee. Applicable when the source is `MERCHANT_BILLING_METHOD`.",
                              "type": "string",
                              "enum": [
                                "card",
                                "ach",
                                "validated_ach",
                                "accelerated_ach",
                                "paypal_wallet",
                                "venmo",
                                "paypal_paylater"
                              ]
                            }
                          },
                          "example": {
                            "rate": 3000,
                            "fee": 100,
                            "currency_code": "USD",
                            "source": "BILLING_PROFILE"
                          }
                        },
                        "method_type": {
                          "description": "The type of payment method.",
                          "type": "string",
                          "enum": [
                            "CARD",
                            "APPLE_PAY",
                            "GOOGLE_PAY",
                            "ACH",
                            "PLAID_ACH",
                            "PAYPAL_WALLET",
                            "VENMO",
                            "PAYPAL_PAYLATER"
                          ]
                        },
                        "card": {
                          "description": "Card payment method details.",
                          "type": "object",
                          "properties": {
                            "type": {
                              "description": "Card type.",
                              "type": "string",
                              "enum": [
                                "CREDIT",
                                "DEBIT",
                                "PREPAID"
                              ]
                            },
                            "brand": {
                              "description": "Card brand.",
                              "type": "string",
                              "example": "MASTERCARD",
                              "enum": [
                                "VISA",
                                "MASTERCARD",
                                "DISCOVER",
                                "AMERICAN_EXPRESS",
                                "OTHER"
                              ]
                            },
                            "brand_desc": {
                              "description": "Card brand in a friendly language.",
                              "type": "string",
                              "example": "Mastercard",
                              "enum": [
                                "Visa",
                                "Mastercard",
                                "Discover",
                                "American Express",
                                "Other"
                              ]
                            },
                            "last_4": {
                              "description": "Last 4 digits of the card number.",
                              "type": "string",
                              "example": "4444"
                            },
                            "exp_month": {
                              "description": "The card expiration month.",
                              "type": "integer",
                              "example": 12,
                              "maximum": 12,
                              "minimum": 1
                            },
                            "exp_year": {
                              "description": "The card expiration year, in 4-digits.",
                              "type": "integer",
                              "example": 2027,
                              "maximum": 2099,
                              "minimum": 2000
                            },
                            "country": {
                              "description": "2-digit country code.\nFind country codes here: https://www.iso.org/obp",
                              "type": [
                                "string",
                                "null"
                              ],
                              "example": "US"
                            },
                            "is_business": {
                              "description": "Is a business card.\n\nValue of `true` / `false` indicates the classification was evaluated; `null` indicates it was not evaluated.",
                              "type": [
                                "boolean",
                                "null"
                              ],
                              "example": false
                            },
                            "is_healthcare": {
                              "description": "Is a healthcare card.\n\nValue of `true` / `false` indicates the classification was evaluated; `null` indicates it was not evaluated.",
                              "type": [
                                "boolean",
                                "null"
                              ],
                              "example": false
                            }
                          }
                        },
                        "apple_pay": {
                          "description": "Apple Pay payment method details.",
                          "type": "object",
                          "properties": {
                            "type": {
                              "$ref": "#/paths/~1v1~1deposit_methods~1{deposit_method_id}~1payin/post/responses/200/content/application~1json/schema/properties/data/properties/card/properties/type"
                            },
                            "brand": {
                              "$ref": "#/paths/~1v1~1deposit_methods~1{deposit_method_id}~1payin/post/responses/200/content/application~1json/schema/properties/data/properties/card/properties/brand"
                            },
                            "brand_desc": {
                              "$ref": "#/paths/~1v1~1deposit_methods~1{deposit_method_id}~1payin/post/responses/200/content/application~1json/schema/properties/data/properties/card/properties/brand_desc"
                            },
                            "description": {
                              "description": "A human-readable description of the payment method provided by Apple.",
                              "type": "string",
                              "example": "Visa 1234"
                            }
                          }
                        },
                        "google_pay": {
                          "description": "Google Pay payment method details.",
                          "type": "object",
                          "properties": {
                            "type": {
                              "$ref": "#/paths/~1v1~1deposit_methods~1{deposit_method_id}~1payin/post/responses/200/content/application~1json/schema/properties/data/properties/card/properties/type"
                            },
                            "brand": {
                              "$ref": "#/paths/~1v1~1deposit_methods~1{deposit_method_id}~1payin/post/responses/200/content/application~1json/schema/properties/data/properties/card/properties/brand"
                            },
                            "brand_desc": {
                              "$ref": "#/paths/~1v1~1deposit_methods~1{deposit_method_id}~1payin/post/responses/200/content/application~1json/schema/properties/data/properties/card/properties/brand_desc"
                            },
                            "description": {
                              "description": "A human-readable description of the payment method provided by Google.",
                              "type": "string",
                              "example": "Visa 1234"
                            }
                          }
                        },
                        "ach": {
                          "description": "ACH payment method details.",
                          "type": "object",
                          "properties": {
                            "account_number_last_4": {
                              "description": "The last 4 digits of the account number.",
                              "type": "string",
                              "example": "5678"
                            },
                            "routing_number": {
                              "$ref": "#/paths/~1v1~1deposit_methods/post/requestBody/content/application~1json/schema/properties/ach/properties/routing_number"
                            },
                            "bank_name": {
                              "description": "The bank name.",
                              "type": "string",
                              "example": "Wells Fargo Bank"
                            },
                            "account_type": {
                              "$ref": "#/paths/~1v1~1deposit_methods/post/requestBody/content/application~1json/schema/properties/ach/properties/account_type"
                            },
                            "account_holder_type": {
                              "$ref": "#/paths/~1v1~1deposit_methods/post/requestBody/content/application~1json/schema/properties/ach/properties/account_holder_type"
                            }
                          }
                        },
                        "plaid_ach": {
                          "$ref": "#/paths/~1v1~1deposit_methods/post/responses/200/content/application~1json/schema/properties/data/properties/plaid_ach",
                          "description": "ACH payment method details from Plaid."
                        },
                        "paypal_wallet": {
                          "description": "PayPal Wallet payment method. Required for method_type PAYPAL_WALLET.",
                          "type": "object",
                          "properties": {
                            "email": {
                              "description": "The email address of the PayPal user",
                              "type": "string",
                              "example": "janesmith@example.com"
                            }
                          }
                        },
                        "venmo": {
                          "description": "Venmo payment method. Required for method_type VENMO.",
                          "type": "object",
                          "properties": {
                            "email": {
                              "description": "The email address of the Venmo user",
                              "type": "string",
                              "example": "janesmith@example.com"
                            }
                          }
                        },
                        "paypal_paylater": {
                          "description": "PayPal PayLater payment method. Required for method_type PAYPAL_PAYLATER.",
                          "type": "object",
                          "properties": {
                            "email": {
                              "description": "The email address of the PayPal user",
                              "type": "string",
                              "example": "janesmith@example.com"
                            }
                          }
                        },
                        "billing_contact": {
                          "$ref": "#/paths/~1v1~1deposit_methods/post/requestBody/content/application~1json/schema/properties/billing_contact"
                        },
                        "shipping_address": {
                          "type": "object",
                          "properties": {
                            "name": {
                              "description": "Recipient's first and last name.",
                              "type": "string",
                              "example": "Jane Smith",
                              "maxLength": 100
                            },
                            "address_line_1": {
                              "$ref": "#/paths/~1v1~1deposit_methods/post/requestBody/content/application~1json/schema/properties/billing_contact/properties/address_line_1"
                            },
                            "address_line_2": {
                              "$ref": "#/paths/~1v1~1deposit_methods/post/requestBody/content/application~1json/schema/properties/billing_contact/properties/address_line_2"
                            },
                            "city": {
                              "$ref": "#/paths/~1v1~1deposit_methods/post/requestBody/content/application~1json/schema/properties/billing_contact/properties/city"
                            },
                            "state": {
                              "$ref": "#/paths/~1v1~1deposit_methods/post/requestBody/content/application~1json/schema/properties/billing_contact/properties/state"
                            },
                            "postal_code": {
                              "$ref": "#/paths/~1v1~1deposit_methods/post/requestBody/content/application~1json/schema/properties/billing_contact/properties/postal_code"
                            },
                            "country": {
                              "$ref": "#/paths/~1v1~1deposit_methods/post/requestBody/content/application~1json/schema/properties/billing_contact/properties/country"
                            }
                          }
                        },
                        "device_data": {
                          "description": "Device data",
                          "type": "object",
                          "properties": {
                            "application_identifier": {
                              "description": "Identifies the application that the device used on the payin or payment method as described in ISO/IEC 7816-5.",
                              "type": "string",
                              "example": "A0000000031010"
                            },
                            "application_label": {
                              "description": "The human-readable name associated with the application identifier according to ISO/IEC 7816-5.",
                              "type": "string",
                              "example": "VISA CREDIT"
                            },
                            "application_preferred_name": {
                              "description": "The human-readable name associated with the application identifier in the cardholder’s local language.",
                              "type": "string",
                              "example": "VISA CREDIT"
                            },
                            "transaction_status_information": {
                              "description": "A collection of indicators that the device will set to show what processing steps have been performed on the current transaction (e.g. Cardholder Verification, Data Authentication).",
                              "type": "string",
                              "example": "E800"
                            },
                            "application_pan_sequence_number": {
                              "description": "Identifies and differentiates cards with the same PAN.",
                              "type": "string",
                              "example": 1
                            },
                            "entry_type": {
                              "description": "The entry type used on the device.",
                              "type": "string",
                              "example": "TAPPED",
                              "enum": [
                                "TAPPED",
                                "SWIPED",
                                "DIPPED",
                                "KEYED",
                                "INVALID",
                                "UNKNOWN"
                              ]
                            },
                            "verification_type": {
                              "description": "The verification type for verifying the user processing the payment is the cardholder.\n\nTypes:\n* `SIGNATURE` - The user provided a signature on the device.\n* `OFFLINE_PIN` - The user entered their pin on the device and it was verified by the EMV chip card.\n* `ONLINE_PIN` - The user entered their pin on the device and it was verified by the card issuer.\n* `OFFLINE_PIN_SIGNATURE` - The user entered their PIN and provided a signature on the device.\n* `NONE` - The user could not be verified.",
                              "type": "string",
                              "enum": [
                                "SIGNATURE",
                                "OFFLINE_PIN",
                                "ONLINE_PIN",
                                "OFFLINE_PIN_SIGNATURE",
                                "NONE"
                              ]
                            },
                            "signature": {
                              "description": "A signature image, formatted as a base64 encoded data URI",
                              "type": "string"
                            }
                          },
                          "readOnly": true
                        },
                        "method_metadata": {
                          "$ref": "#/paths/~1v1~1deposit_method_configs/post/responses/200/content/application~1json/schema/properties/data/properties/metadata"
                        },
                        "metadata": {
                          "$ref": "#/paths/~1v1~1deposits/post/requestBody/content/application~1json/schema/properties/metadata"
                        },
                        "refunds": {
                          "type": "array",
                          "items": {
                            "description": "The refund details.",
                            "type": "object",
                            "properties": {
                              "refund_id": {
                                "description": "The unique refund identifier. \n\nPrefix is \"rfd\" in production and \"sbx_rfd\" in sandbox.",
                                "type": "string",
                                "example": "rfd_2DrDU206kzAhclm1WrZbuwDERRk"
                              },
                              "payin_id": {
                                "description": "The unique payin identifier that was voided or refunded. \n\nPrefix is \"pyi\" in production and \"sbx_pyi\" in sandbox.",
                                "type": "string",
                                "example": "pyi_2DrDKk5NIMbpuNGqm109SkpGDHh"
                              },
                              "merchant_id": {
                                "$ref": "#/paths/~1v1~1deposit_methods~1{deposit_method_id}~1payin/post/responses/200/content/application~1json/schema/properties/data/properties/merchant_id"
                              },
                              "billing_type": {
                                "$ref": "#/paths/~1v1~1deposit_methods~1{deposit_method_id}~1payin/post/responses/200/content/application~1json/schema/properties/data/properties/billing_type"
                              },
                              "amount": {
                                "description": "The amount refunded, in minor units.\n\nFor example, 1000 is 10.00 USD.",
                                "type": "integer",
                                "example": 100
                              },
                              "currency_code": {
[...]
